Error
A valid request URL is required to generate request examples{
"message": "<string>",
"rule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"cel_expression": "<string>",
"targets": [
{
"weight": 0.5,
"provider": "<string>",
"model": "<string>",
"key_id": "<string>"
}
],
"fallbacks": [
"<string>"
],
"scope_id": "<string>",
"priority": 123,
"query": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Governance
Update routing rule
Updates an existing routing rule’s configuration.
PUT
/
api
/
governance
/
routing-rules
/
{rule_id}
Error
A valid request URL is required to generate request examples{
"message": "<string>",
"rule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": true,
"cel_expression": "<string>",
"targets": [
{
"weight": 0.5,
"provider": "<string>",
"model": "<string>",
"key_id": "<string>"
}
],
"fallbacks": [
"<string>"
],
"scope_id": "<string>",
"priority": 123,
"query": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Routing rule ID
Body
application/json
Request to update a routing rule (all fields optional; providing targets replaces all existing targets)
Was this page helpful?
⌘I

